summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/unetbootin/unetbootin-619.ebuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/sys-boot/unetbootin/unetbootin-619.ebuild b/sys-boot/unetbootin/unetbootin-619.ebuild
index 9fb9454c24c..8a9b6047390 100644
--- a/sys-boot/unetbootin/unetbootin-619.ebuild
+++ b/sys-boot/unetbootin/unetbootin-619.ebuild
@@ -4,7 +4,7 @@
EAPI=5
-inherit eutils qt4-r2
+inherit eutils qmake-utils qt4-r2
DESCRIPTION="UNetbootin installs Linux/BSD distributions to a partition or USB drive"
HOMEPAGE="https://github.com/unetbootin/unetbootin"
@@ -62,8 +62,11 @@ src_prepare() {
src_configure() {
sed -i -e '/^RESOURCES/d' unetbootin.pro || die
- lupdate ${PN}.pro || die
- lrelease ${PN}.pro || die
+
+ UNBN_QTPATH="$(qt4_get_bindir)/"
+ ${UNBN_QTPATH}lupdate ${PN}.pro || die
+ ${UNBN_QTPATH}lrelease ${PN}.pro || die
+
eqmake4 ${PN}.pro || die
}